openerp.eiru_reporting_dashboard = function (instance) {
    "use strict";

    instance.eiru_reporting_dashboard = {};
    instance.eiru_reporting_dashboard.reports = {};

    var dashboard = instance.eiru_reporting_dashboard;

    widget_base(instance, dashboard);
    dashboard_widget(instance, dashboard);
    configuration_widget(instance, dashboard);
    // Widgets
    try{
        expired_account_counters(dashboard);
        // expired_account_counters_now(dashboard);
        // voucher_today_counters(dashboard);
        // invoice_today_counters(dashboard);
        ranking_sales_product(dashboard);
        ranking_sales_partner(dashboard);
        // monthly_expenses(dashboard);
        // monthly_purchases(dashboard);
        // missing_product(dashboard); 
        // payments_today_counters(dashboard);
        // pos_order_today_counters(dashboard);
        ranking_pos_orders_partner(dashboard);
        ranking_pos_orders_product(dashboard);
        invoice_history(dashboard);
        ranking_pos_orders_salesman(dashboard);
    }catch(e){
        // error
    }
    

    // Action
    instance.web.client_actions.add('eiru_reporting_dashboard.action_dashboard', 'instance.eiru_reporting_dashboard.DashboardWidget');
    instance.web.client_actions.add('eiru_reporting_dashboard.action_dashboard_sale', 'instance.eiru_reporting_dashboard.SaleWidget');
    instance.web.client_actions.add('eiru_reporting_dashboard.action_dashboard_configuration', 'instance.eiru_reporting_dashboard.DashboardConfigurationWidget');
}
